xquery version "1.0";
declare namespace tei = "http://www.tei-c.org/ns/1.0";

(: Zugriff auf XML-Dateien in einem bestimmten Ordner :) 
let $docs := collection("file:///C:/Users/horn/Dateien/.../Brief-Korpus/?select=*.xml")

(: Briefe durchsuchen, die im Original vorliegen :)
for $doc in $docs/tei:TEI[not(string-length(//tei:material)=0)]
        (: Brief-ID :)
        let $id := substring-after($doc/data(@xml:id),"L_")
        (: Höhe :)
        let $höhe := data($doc//tei:height)
        (: Breite :)
        let $breite := data($doc//tei:width)     
        (: Ausgabe für jeden Brief im txt-Format, Semikolon als Trennzeichen:)
        return string-join(concat("&#xA;",$id,";",$höhe,";",$breite),'')
        
        
        
        
        
        
        
        